%global momorel 3
%define __libtoolize :
%global majorversion 2
%global minorversion 6
%global microversion 3

Summary: Multi-platform word processor
Name: abiword

Version: 2.6.3
Release: %{momorel}m%{?dist}
Group: Applications/Publishing
License: GPL
URL: http://www.abisource.com/

Source0:  http://www.abisource.com/downloads/%{name}/%{version}/source/%{name}-%{version}.tar.gz
NoSource: 0
Source1: http://www.abisource.com/downloads/%{name}/%{version}/source/abiword-plugins-%{version}.tar.gz
NoSource: 1
Source2: http://www.abisource.com/downloads/%{name}/%{version}/source/abiword-extras-%{version}.tar.gz
NoSource: 2
Source3: http://www.abisource.com/downloads/%{name}/%{version}/source/abiword-docs-%{version}.tar.gz
NoSource: 3
Source11: abiword.mime
Patch0: abiword-2.6.0-windowshelppaths.patch
Patch1: abiword-2.6.0-desktop.patch
Patch2: abiword-2.6.0-boolean.patch
Patch3: abiword-plugins-2.6.0-boolean.patch

# build fix patch
Patch4: abiword-2.6.0-GNUmakefile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: ImageMagick-Magick++ >= 6.4.2.1
BuildPreReq: aspell-devel >= 0.60-2m
BuildPreReq: bzip2-devel
BuildPreReq: expat-devel
BuildPreReq: fribidi-devel >= 0.10.4
BuildPreReq: goffice-0.4-devel >= 0.4.2
BuildPreReq: gtk2-devel >= 2.8.20
BuildPrereq: gucharmap-devel >= 1.10.0
BuildPreReq: libgda >= 1.2.3
BuildPreReq: libglade2-devel >= 2.6.0
BuildPreReq: libgnome-devel
BuildPreReq: libgnomecanvas-devel
BuildPreReq: libgnomedb-devel >= 1.2.2
BuildPreReq: libgnomeprintui22-devel
BuildPreReq: libgsf-devel >= 1.14.1-2m
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel
#BuildPreReq: librsvg2-devel >= 2.22.2-3m
BuildPreReq: ncurses-devel >= 5.6-10m
BuildPreReq: libwmf-devel
BuildPreReq: libwpd-devel >= 0.8.4-3m
BuildPreReq: libxml2-devel
BuildPreReq: nautilus-devel
BuildPreReq: openssl-devel >= 0.9.8b
BuildPreReq: perl >= 5.8.5-1m
BuildPreReq: poppler-devel >= 0.5.1-1m
BuildPreReq: popt
BuildPreReq: readline-devel >= 5.0
BuildPreReq: zlib-devel

# some plugin build deps
BuildRequires: ots-devel >= 0.4.2
BuildRequires: aiksaurus-devel, aiksaurus-gtk-devel
BuildRequires: link-grammar-devel >= 4.2.2
BuildRequires: gtkmathview-devel >= 0.7.5, flex, bison
BuildRequires: boost-devel
#BuildRequires: loudmouth-devel
BuildRequires: asio-devel >= 0.3.8
BuildPreReq: gnome-scan >= 0.6

Obsoletes: abiword-clipart
Obsoletes: abiword-fonts
Obsoletes: abiword-plugin-abicommand
Obsoletes: abiword-plugin-abigimp
Obsoletes: abiword-plugin-babelfish
Obsoletes: abiword-plugin-bz2abw
Obsoletes: abiword-plugin-freetranslation
Obsoletes: abiword-plugin-gdict
Obsoletes: abiword-plugin-gdkpixbuf
Obsoletes: abiword-plugin-html
Obsoletes: abiword-plugin-shell
Obsoletes: abiword-plugin-startwriter
Obsoletes: abiword-plugin-urldict
Obsoletes: abiword-plugin-wikipedia
Obsoletes: abiword-plugins

Requires: gimp

%description
AbiWord is a multi-platform word processor with a GTK+ interface on
the UNIX platform. For extended functionality and integration this
version is compiled with GNOME support. Abiword with the GNOME
front-end is part of the GNOME Office Suite. AbiWord is made available
under the GNU GPL license.

%prep
%setup -q
# setup abiword
%setup -q
%patch1 -p1 -b .desktop
%if 0%{?fedora} >= 9
%patch2 -p1 -b .boolean
%endif

%patch4 -p1 -b .buildfix

# setup abiword-plugins
%setup -q -T -b 1 -n abiword-plugins-%{version}
%patch3 -p1 -b .boolean

# setup abiword extras
%setup -q -T -b 2 -n abiword-extras-%{version}

# setup abiword documentation
%setup -q -T -b 3 -n abiword-docs-%{version}
%patch0 -p1 -b .windowshelppaths

%build
# build abiword
cd $RPM_BUILD_DIR/abiword-%{version}
%configure
make %{?_smp_mflags}

# build abiword-plugins
cd $RPM_BUILD_DIR/abiword-plugins-%{version}
# we need to re-autogen, as we have changed the abicollab automake configuration
%configure --without-abiscan --disable-gda --with-abiword=../abiword-%{version}
# Remove libtool predep_objects and postdep_objects wonkiness so that
# building without -nostdlib doesn't include them twice.  Because we
# already link with g++, weird stuff happens if you don't let the
# compiler handle this.
sed 's/^predep_objects=.*/predep_objects=\"\"/' < libtool > libtool.foo
sed 's/^postdep_objects=.*/postdep_objects=\"\"/' < libtool.foo > libtool.foobar
sed 's/-shared -nostdlib/-shared/' < libtool.foobar > libtool
make %{?_smp_mflags}

# build the extras
cd $RPM_BUILD_DIR/abiword-extras-%{version}
# abiword-extras looks at the abiword-%{version}.pc pkg-config file to get its location info 
# however, that file is not installed yet, so just point to it in the abiword source tree 
export PKG_CONFIG_PATH="../%{name}-%{version}"
# we need to re-autogen, as we have changed the destdir configuration
./autogen.sh
make

# build the documentation
cd $RPM_BUILD_DIR/abiword-docs-%{version}
ABI_DOC_PROG=$(pwd)/../%{name}-%{version}/src/wp/main/unix/abiword ./make-html.sh

%install
rm -rf $RPM_BUILD_ROOT

# install abiword
cd $RPM_BUILD_DIR/abiword-%{version}
make install DESTDIR=$RPM_BUILD_ROOT
# Fix script permission
chmod +x $RPM_BUILD_ROOT%{_datadir}/%{name}-%{majorversion}.%{minorversion}/scripts/abw2html.pl

# install abiword-plugins
cd $RPM_BUILD_DIR/abiword-plugins-%{version}
make install DESTDIR=$RPM_BUILD_ROOT

# install the extras
cd $RPM_BUILD_DIR/abiword-extras-%{version}
make install DESTDIR=$RPM_BUILD_ROOT

# install the documentation
cd $RPM_BUILD_DIR/abiword-docs-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord/help
cp -rp help/* $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord/help/
# some of the help dirs have bad perms (#109261)
find $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord/help/ -type d -exec chmod -c o+rx {} \;

# finish up
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp $RPM_BUILD_DIR/abiword-extras-%{version}/icons/abiword_48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/abiword_48.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mime-info

# nuke .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{majorversion}.%{minorversion}/plugins/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications

%files
%defattr(-,root,root)
%doc $RPM_BUILD_DIR/%{name}-%{version}/docs $RPM_BUILD_DIR/%{name}-%{version}/COPYING $RPM_BUILD_DIR/%{name}-%{version}/COPYRIGHT.TXT $RPM_BUILD_DIR/%{name}-%{version}/README.TXT
%{_bindir}/abiword
%{_libdir}/%{name}-%{majorversion}.%{minorversion}
%{_datadir}/%{name}-%{majorversion}.%{minorversion}
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*png
%{_datadir}/icons/*png
%ghost %{_includedir}/%{name}-%{majorversion}.%{minorversion}
%ghost %{_libdir}/pkgconfig/%{name}-%{majorversion}.%{minorversion}.pc

%changelog
* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.6.3-3m)
- rebuild against ImageMagick-6.4.2.1

* Sat Jun  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.3-2m)
- add patch4 (for build fix)

* Tue May 06 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.3-1m)
- update to 2.6.3

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6.0-3m)
- rebuild against librsvg2-2.22.2-3m

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.6.0-2m)
- remove Fedora's desktop file install section, good-bye vendor="fedora"

* Sat Apr 05 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.0-1m)
- update to 2.6.0
- sync with Fedora

* Mon Feb 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.6-6m)
- no use libmcap

* Sun Sep  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.6-5m)
- disable pdf support (popler-0.6)

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.6-4m)
- rebuild against goffice-0.4.2

* Tue May 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.6-3m)
- sort and fix BPR

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.6-2m)
- rebuild against gucharmap-1.10.0

* Thu Nov 16 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.6-1m)
- update to 2.4.6

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.4-9m)
- remove category (Applications X-Red-Hat-Base Application)

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.4-8m)
- rebuild against gucharmap-1.8.0

* Fri Sep  8 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.4-7m)
- update to BuildPreReq: libwpd-devel >= 0.8.4-3m

* Wed Aug 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.4-6m)
- update to BuildPreReq: libgsf-devel >= 1.14.1-2m

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.4.4-5m)
- rebuild against expat-2.0.0-1m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.4-4m)
- rebuild against goffice-0.2.1-3m
- rebuild against libgnomedb-1.2.2-2m

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.4-3m)
- rebuild against readline-5.0

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.4-2m)
- rebuild against libgsf-1.14.0

* Sat Apr 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.4-1m)
- update to 2.4.4

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-5m)
- rebuild against openssl-0.9.8a

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-4m)
- rebuild against poppler-0.5.1-1m

* Mon Mar 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.2-3m)
- rebuild against goffice-0.2.1-1m

* Sat Feb 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-2m)
- enable pdf plugin

* Sat Feb 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-1m)
- update to 2.4.2

* Sun Dec  4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2.9-2m)
- rebuild against libgsf-1.13.3-3m

* Thu Nov  3 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.2.9-1m)
- update 2.2.9
- add gcc4 patch
- Patch3: abiword-2.2.9-gcc4.patch

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.8-2m)
- rebuild against python-2.4.2

* Thu Jun 09 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.8-1m)
- update to 2.2.8 (sync with FC-extra(2.2.7-1))
- - remove Patch3-7 (merged to upstream)

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.12-1m)
- ver up. sync with FC3(2.0.12-9)
- abiword-plugins is finally obsoleted ,provided by abiword itself.

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.7-5m)
- rebuild against libtermcap-2.0.8-38m.

* Thu Jan 27 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.7-4m)
- rebuild agianst libgnomedb-1.2.0

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.0.7-3m)
- rebuild against gcc-c++-3.4.1
- add gcc34 patch from Fedora (abiword-2.0.7-2)
- add -DPERL_GCC_BRACE_GROUPS_FORBIDDEN to CXXFLAGS

* Tue Aug 03 2004 TAKAHASHI Tamotsu <tamo>
- (2.0.7-2m)
- [SECURITY] CAN-2004-0645 http://www.securityfocus.com/bid/10699
 (This has been fixed in 2.0.9, but I can't satisfy its requirement.)
$'

* Wed Jul 07 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.7-1m)
- update to 2.0.7

* Sat Jun 12 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.6-5m)
- use internal wv

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.6-4m)
- rebuild against libcroco-0.5.0

* Mon Apr 19 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.6-3m)
- revise permissions of docdir

* Tue Apr 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.6-2m)
- rebuild against gucharmap-1.4.1

* Thu Apr  8 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.6-1m)
- update to 2.0.6

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.5-2m)
- revised spec for enabling rpm 4.2.

* Fri Mar 12 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.5-1m)
- update to 2.0.5
- add some BuildPreReq

* Thu Feb 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.3-1m)
- version 2.0.3

* Sun Dec 21 2003 Kenta MURATA <muraken2@nifty.com>
- (2.0.2-1m)
- version 2.0.2.

* Thu Jul 24 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.99.1-3m)
- add BuildPrereq: fribidi >= 0.10.4

* Fri Jul 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.1-2m)
- rebuild against for libcroco-0.3.0

* Fri Jun 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.1-1m)
- version 1.99.1

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.1-3m)
- rebuild against for libgnomedb-0.12.1

* Thu Jun  5 2003 Shingo Akagaki <dora@kitty.dnsaliaa.org>
- (1.9.1-2m)
- rebuild against for libgnomedb-0.12

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.9.1-1m)
- version 1.9.1

* Mon Apr 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-1m)
- version 1.1.4

* Thu Apr  3 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.4-3m)
- rebuild against for libwmf-0.2.8

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.4-2m)
- rebuild against for aspell

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.4-1m)
  update to 1.0.4

* Mon Oct 21 2002 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.2-2m)
- modify %%install section.

* Wed Jun 12 2002 Kenta MURATA <muraken@momonga-linux.org>
- (1.0.2-1k)
- first spec file.
